curl --request POST \
--url https://api.glass.fm/v2/action/glasscore/org \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"zip": "<string>",
"CategoryId": 123,
"city": "<string>",
"cityState": "<string>",
"Der~PersonId": 123,
"dotPayment~PersonId": 123,
"ein": "<string>",
"email": "<string>",
"fax": "<string>",
"hsVendor": [
{
"OrgId": 123,
"about": "<string>",
"aboutDNA": "<string>",
"aboutDnaNeeded": true,
"aboutDnaNsew": "<string>",
"aboutLandmark": "<string>",
"aboutLandmarkDNA": "<string>",
"aboutLandmarkOccHealth": "<string>",
"aboutNsew": "<string>",
"aboutOccHealth": "<string>",
"ban": true,
"cityState": "<string>",
"CityStateId": 123,
"concentra": 123,
"customText": "<string>",
"customTextOnly": true,
"cvs": 123,
"descrip": "<string>",
"doesAudiogram": true,
"doesBioMetric": true,
"doesBloodAlcohol": true,
"doesBloodHealth": true,
"doesBodyHair": true,
"doesChestXray": true,
"doesDna": true,
"doesDotBat": true,
"doesDotPhysical": true,
"doesECup": true,
"doesEDot": true,
"doesEkg": true,
"doesHeadHair": true,
"doesKrausWeber": true,
"doesLiftTest": true,
"doesNonBat": true,
"doesNonDotPhysical": true,
"doesObserved": true,
"doesOralFluid": true,
"doesOxfordTB": true,
"doesPulmonary": true,
"doesRadar": true,
"doesRespQual": true,
"doesRespQuant": true,
"doesRespQuest": true,
"doesSalivaAlcohol": true,
"doesTbSkin": true,
"doesTiter": true,
"doesUrine": true,
"doesVacHepA": true,
"doesVacHepB": true,
"doesVacMmr": true,
"doesVacTdap": true,
"doesVacVaricella": true,
"doesVisionIshihara": true,
"doesVisionJaeger": true,
"doesVisionSnellen": true,
"doesVisionTitmus": true,
"doesXCup": true,
"dotCertDoctor": true,
"eBillingTier": "<string>",
"eCCFenabled": true,
"eHealth": true,
"eLabCorp": true,
"ePhysical": true,
"eQuest": true,
"eReader": true,
"fastPace": 123,
"freezeAddress": true,
"freezeCity": true,
"freezeDay": true,
"freezeLabApiDays": true,
"freezeName": true,
"handicapAccess": true,
"hsSiteType": "<string>",
"HsSiteTypeId": 123,
"importDistance": 123,
"insideRetail": true,
"installed": true,
"Int_Lat": 123,
"Int_lng": 123,
"isInNetworkHealth": true,
"isLabApiDaysModified": true,
"isNeedsManualDaysUpdate": true,
"labApiDay": "<string>",
"labApiDayPrettier": "<string>",
"lat": 123,
"lng": 123,
"mobileDrug": true,
"normalClose": "<string>",
"normalLunchClosed": true,
"normalLunchEnd": "<string>",
"normalLunchStart": "<string>",
"normalOpen": "<string>",
"noWeb": true,
"occHealthNetwork": "<string>",
"omega": true,
"onSiteDrug": true,
"open": true,
"physicalsMdDo": true,
"physicalsNpPa": true,
"possibleClosed": true,
"possibleDupe": true,
"psychemedic": true,
"publicTransportation": true,
"testTime": "<string>",
"truckAccess": true,
"walkinDrug": true,
"walkinHealth": true,
"workersComp": true,
"xCode": "<string>"
}
],
"isHouse": true,
"lat": 123,
"lng": 123,
"location": [
{
"OrgId": 123,
"fridayClose": "<string>",
"fridayLunchEnd": "<string>",
"fridayLunchStart": "<string>",
"fridayOpen": "<string>",
"mondayClose": "<string>",
"mondayLunchEnd": "<string>",
"mondayLunchStart": "<string>",
"mondayOpen": "<string>",
"saturdayClose": "<string>",
"saturdayLunchEnd": "<string>",
"saturdayLunchStart": "<string>",
"saturdayOpen": "<string>",
"sundayClose": "<string>",
"sundayLunchEnd": "<string>",
"sundayLunchStart": "<string>",
"sundayOpen": "<string>",
"thursdayClose": "<string>",
"thursdayLunchEnd": "<string>",
"thursdayLunchStart": "<string>",
"thursdayOpen": "<string>",
"tuesdayClose": "<string>",
"tuesdayLunchEnd": "<string>",
"tuesdayLunchStart": "<string>",
"tuesdayOpen": "<string>",
"twentyFourHour": true,
"wednesdayClose": "<string>",
"wednesdayLunchEnd": "<string>",
"wednesdayLunchStart": "<string>",
"wednesdayOpen": "<string>",
"locationModDate": "<string>"
}
],
"LocationTypeId": 123,
"Parent~OrgId": 123,
"phone": "<string>",
"phoneExt": "<string>",
"phoneOther": "<string>",
"phoneOtherExt": "<string>",
"Preferred~HsVendorId": 123,
"rpDotRegistrationNumber": "<string>",
"rpMinAlc": 123,
"rpMinDrug": 123,
"state": "<string>",
"streetPrimary": "<string>",
"streetSecondary": "<string>",
"tagJoin": [
{
"parentEntity": "<string>",
"ParentId": 123,
"TagId": 123
}
],
"vendor": [
{
"OrgId": 123,
"CategoryId": 123
}
]
}
'import requests
url = "https://api.glass.fm/v2/action/glasscore/org"
payload = {
"name": "<string>",
"zip": "<string>",
"CategoryId": 123,
"city": "<string>",
"cityState": "<string>",
"Der~PersonId": 123,
"dotPayment~PersonId": 123,
"ein": "<string>",
"email": "<string>",
"fax": "<string>",
"hsVendor": [
{
"OrgId": 123,
"about": "<string>",
"aboutDNA": "<string>",
"aboutDnaNeeded": True,
"aboutDnaNsew": "<string>",
"aboutLandmark": "<string>",
"aboutLandmarkDNA": "<string>",
"aboutLandmarkOccHealth": "<string>",
"aboutNsew": "<string>",
"aboutOccHealth": "<string>",
"ban": True,
"cityState": "<string>",
"CityStateId": 123,
"concentra": 123,
"customText": "<string>",
"customTextOnly": True,
"cvs": 123,
"descrip": "<string>",
"doesAudiogram": True,
"doesBioMetric": True,
"doesBloodAlcohol": True,
"doesBloodHealth": True,
"doesBodyHair": True,
"doesChestXray": True,
"doesDna": True,
"doesDotBat": True,
"doesDotPhysical": True,
"doesECup": True,
"doesEDot": True,
"doesEkg": True,
"doesHeadHair": True,
"doesKrausWeber": True,
"doesLiftTest": True,
"doesNonBat": True,
"doesNonDotPhysical": True,
"doesObserved": True,
"doesOralFluid": True,
"doesOxfordTB": True,
"doesPulmonary": True,
"doesRadar": True,
"doesRespQual": True,
"doesRespQuant": True,
"doesRespQuest": True,
"doesSalivaAlcohol": True,
"doesTbSkin": True,
"doesTiter": True,
"doesUrine": True,
"doesVacHepA": True,
"doesVacHepB": True,
"doesVacMmr": True,
"doesVacTdap": True,
"doesVacVaricella": True,
"doesVisionIshihara": True,
"doesVisionJaeger": True,
"doesVisionSnellen": True,
"doesVisionTitmus": True,
"doesXCup": True,
"dotCertDoctor": True,
"eBillingTier": "<string>",
"eCCFenabled": True,
"eHealth": True,
"eLabCorp": True,
"ePhysical": True,
"eQuest": True,
"eReader": True,
"fastPace": 123,
"freezeAddress": True,
"freezeCity": True,
"freezeDay": True,
"freezeLabApiDays": True,
"freezeName": True,
"handicapAccess": True,
"hsSiteType": "<string>",
"HsSiteTypeId": 123,
"importDistance": 123,
"insideRetail": True,
"installed": True,
"Int_Lat": 123,
"Int_lng": 123,
"isInNetworkHealth": True,
"isLabApiDaysModified": True,
"isNeedsManualDaysUpdate": True,
"labApiDay": "<string>",
"labApiDayPrettier": "<string>",
"lat": 123,
"lng": 123,
"mobileDrug": True,
"normalClose": "<string>",
"normalLunchClosed": True,
"normalLunchEnd": "<string>",
"normalLunchStart": "<string>",
"normalOpen": "<string>",
"noWeb": True,
"occHealthNetwork": "<string>",
"omega": True,
"onSiteDrug": True,
"open": True,
"physicalsMdDo": True,
"physicalsNpPa": True,
"possibleClosed": True,
"possibleDupe": True,
"psychemedic": True,
"publicTransportation": True,
"testTime": "<string>",
"truckAccess": True,
"walkinDrug": True,
"walkinHealth": True,
"workersComp": True,
"xCode": "<string>"
}
],
"isHouse": True,
"lat": 123,
"lng": 123,
"location": [
{
"OrgId": 123,
"fridayClose": "<string>",
"fridayLunchEnd": "<string>",
"fridayLunchStart": "<string>",
"fridayOpen": "<string>",
"mondayClose": "<string>",
"mondayLunchEnd": "<string>",
"mondayLunchStart": "<string>",
"mondayOpen": "<string>",
"saturdayClose": "<string>",
"saturdayLunchEnd": "<string>",
"saturdayLunchStart": "<string>",
"saturdayOpen": "<string>",
"sundayClose": "<string>",
"sundayLunchEnd": "<string>",
"sundayLunchStart": "<string>",
"sundayOpen": "<string>",
"thursdayClose": "<string>",
"thursdayLunchEnd": "<string>",
"thursdayLunchStart": "<string>",
"thursdayOpen": "<string>",
"tuesdayClose": "<string>",
"tuesdayLunchEnd": "<string>",
"tuesdayLunchStart": "<string>",
"tuesdayOpen": "<string>",
"twentyFourHour": True,
"wednesdayClose": "<string>",
"wednesdayLunchEnd": "<string>",
"wednesdayLunchStart": "<string>",
"wednesdayOpen": "<string>",
"locationModDate": "<string>"
}
],
"LocationTypeId": 123,
"Parent~OrgId": 123,
"phone": "<string>",
"phoneExt": "<string>",
"phoneOther": "<string>",
"phoneOtherExt": "<string>",
"Preferred~HsVendorId": 123,
"rpDotRegistrationNumber": "<string>",
"rpMinAlc": 123,
"rpMinDrug": 123,
"state": "<string>",
"streetPrimary": "<string>",
"streetSecondary": "<string>",
"tagJoin": [
{
"parentEntity": "<string>",
"ParentId": 123,
"TagId": 123
}
],
"vendor": [
{
"OrgId": 123,
"CategoryId": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
zip: '<string>',
CategoryId: 123,
city: '<string>',
cityState: '<string>',
'Der~PersonId': 123,
'dotPayment~PersonId': 123,
ein: '<string>',
email: '<string>',
fax: '<string>',
hsVendor: [
{
OrgId: 123,
about: '<string>',
aboutDNA: '<string>',
aboutDnaNeeded: true,
aboutDnaNsew: '<string>',
aboutLandmark: '<string>',
aboutLandmarkDNA: '<string>',
aboutLandmarkOccHealth: '<string>',
aboutNsew: '<string>',
aboutOccHealth: '<string>',
ban: true,
cityState: '<string>',
CityStateId: 123,
concentra: 123,
customText: '<string>',
customTextOnly: true,
cvs: 123,
descrip: '<string>',
doesAudiogram: true,
doesBioMetric: true,
doesBloodAlcohol: true,
doesBloodHealth: true,
doesBodyHair: true,
doesChestXray: true,
doesDna: true,
doesDotBat: true,
doesDotPhysical: true,
doesECup: true,
doesEDot: true,
doesEkg: true,
doesHeadHair: true,
doesKrausWeber: true,
doesLiftTest: true,
doesNonBat: true,
doesNonDotPhysical: true,
doesObserved: true,
doesOralFluid: true,
doesOxfordTB: true,
doesPulmonary: true,
doesRadar: true,
doesRespQual: true,
doesRespQuant: true,
doesRespQuest: true,
doesSalivaAlcohol: true,
doesTbSkin: true,
doesTiter: true,
doesUrine: true,
doesVacHepA: true,
doesVacHepB: true,
doesVacMmr: true,
doesVacTdap: true,
doesVacVaricella: true,
doesVisionIshihara: true,
doesVisionJaeger: true,
doesVisionSnellen: true,
doesVisionTitmus: true,
doesXCup: true,
dotCertDoctor: true,
eBillingTier: '<string>',
eCCFenabled: true,
eHealth: true,
eLabCorp: true,
ePhysical: true,
eQuest: true,
eReader: true,
fastPace: 123,
freezeAddress: true,
freezeCity: true,
freezeDay: true,
freezeLabApiDays: true,
freezeName: true,
handicapAccess: true,
hsSiteType: '<string>',
HsSiteTypeId: 123,
importDistance: 123,
insideRetail: true,
installed: true,
Int_Lat: 123,
Int_lng: 123,
isInNetworkHealth: true,
isLabApiDaysModified: true,
isNeedsManualDaysUpdate: true,
labApiDay: '<string>',
labApiDayPrettier: '<string>',
lat: 123,
lng: 123,
mobileDrug: true,
normalClose: '<string>',
normalLunchClosed: true,
normalLunchEnd: '<string>',
normalLunchStart: '<string>',
normalOpen: '<string>',
noWeb: true,
occHealthNetwork: '<string>',
omega: true,
onSiteDrug: true,
open: true,
physicalsMdDo: true,
physicalsNpPa: true,
possibleClosed: true,
possibleDupe: true,
psychemedic: true,
publicTransportation: true,
testTime: '<string>',
truckAccess: true,
walkinDrug: true,
walkinHealth: true,
workersComp: true,
xCode: '<string>'
}
],
isHouse: true,
lat: 123,
lng: 123,
location: [
{
OrgId: 123,
fridayClose: '<string>',
fridayLunchEnd: '<string>',
fridayLunchStart: '<string>',
fridayOpen: '<string>',
mondayClose: '<string>',
mondayLunchEnd: '<string>',
mondayLunchStart: '<string>',
mondayOpen: '<string>',
saturdayClose: '<string>',
saturdayLunchEnd: '<string>',
saturdayLunchStart: '<string>',
saturdayOpen: '<string>',
sundayClose: '<string>',
sundayLunchEnd: '<string>',
sundayLunchStart: '<string>',
sundayOpen: '<string>',
thursdayClose: '<string>',
thursdayLunchEnd: '<string>',
thursdayLunchStart: '<string>',
thursdayOpen: '<string>',
tuesdayClose: '<string>',
tuesdayLunchEnd: '<string>',
tuesdayLunchStart: '<string>',
tuesdayOpen: '<string>',
twentyFourHour: true,
wednesdayClose: '<string>',
wednesdayLunchEnd: '<string>',
wednesdayLunchStart: '<string>',
wednesdayOpen: '<string>',
locationModDate: '<string>'
}
],
LocationTypeId: 123,
'Parent~OrgId': 123,
phone: '<string>',
phoneExt: '<string>',
phoneOther: '<string>',
phoneOtherExt: '<string>',
'Preferred~HsVendorId': 123,
rpDotRegistrationNumber: '<string>',
rpMinAlc: 123,
rpMinDrug: 123,
state: '<string>',
streetPrimary: '<string>',
streetSecondary: '<string>',
tagJoin: [{parentEntity: '<string>', ParentId: 123, TagId: 123}],
vendor: [{OrgId: 123, CategoryId: 123}]
})
};
fetch('https://api.glass.fm/v2/action/glasscore/org', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create Org
Create a new Org
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Name of org.
1Stores the postal code for the organization's location.
1Represents the unique identifier for the category to which the organization belongs.
Represents the municipality where the organization is located.
Represents the city and state where the organization is located.
Represents the unique identifier for a person in the organization.
Identifies the individual who made the payment in the organization.
Represents the Employer Identification Number of the organization.
Stores the electronic mail address associated with the organization.
Stores the facsimile contact number for the organization.
Represents the vendor associated with the organization in the HubSpot system.
Show child attributes
Show child attributes
Indicates whether the organization operates from a residential property.
Stores the latitude coordinate of the organization's location.
Stores the longitude coordinate of the organization's location.
Represents the geographical area or address where the organization is situated.
Show child attributes
Show child attributes
Identifies the type of location associated with the organization, such as headquarters, branch, or remote office.
Identifies the unique identifier of the parent organization in the Org table.
Stores the contact number for the organization.
Stores the extension number associated with the organization's main phone line.
Stores an alternative contact number for the organization.
Represents the extension number for an alternative phone line associated with the organization.
The identifier for the vendor that an organization prefers for home services.
Contains the registration number associated with the dot in the organization.
Represents the minimum alcohol content required by the organization.
Indicates the minimum required price for drugs set by the organization.
Indicates the frequency at which a certain action or process is to be performed within the organization.
Monthly, Quarterly, Represents the geographical region within a country where the organization is located.
Main street address associated with the organization.
Contains additional address information such as apartment or suite number for the organization.
Represents the connection between an organization and its associated tags or labels.
Show child attributes
Show child attributes
Represents the company or individual supplying goods or services to the organization.
Show child attributes
Show child attributes
Response
Org

